These docs are for v1.0. Click to read the latest docs for v2.0.

Find shortest intermodal route

Calculates an intermodal route between a source (lat, lon) and a target (lat, lon). A point can be any reasonable geo-position on the planet, even on land. Reasonable means that it must be somewhere in the ocean or nearby a waterway or street. However, a routing from or to the mountaintop of Himalaya is not supported. The underlying network covers the sea based on AIS-data as well as rivers, canals and even main roads from openstreetmap.org. But it does not contain OSM's minor street types like residential or service. A routing between cities of different continents usually returns a partial passage over the sea. In this case the crucial points, the via-ports, have an additional un/locode-attribute attached.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Starting point of the route. The format is lon:%flat:%f, e.g. lon:9.1lat:42.5

string
required

Endpoint of the route. The format is lon:%flat:%f, e.g. lon:-6.8lat:46.8

Query Params
double
Defaults to 0

Length of the vessel in meters. Used to avoid canals that cannot accomodate a vessel of that size.

double
Defaults to 0

Width of the vessel in meters. Used to avoid canals that cannot accomodate a vessel of that size.

double
Defaults to 0

Draft of the vessel in meters. Used to avoid canals that cannot accomodate a vessel of that size.

int32
Defaults to 20

Speed of the vessel in knots. Only used for calculating estimations of journey times in the result

boolean
Defaults to false

Specifies if inland waterways should be avoided

boolean
Defaults to false

Specifies if travel in SECA zones should be avoided

boolean
Defaults to false

Specifies if travel in areas of piracy incidents should be avoided

boolean
Defaults to false

Specifies if travel in territorial waters should be avoided

string

Specifies countries whose territorial waters should be avoided. This is an array of internal IDs e.g. avoidedTwCountries=1&avoidedTwCountries=2&avoidedTwCountries=3. For the entire list click here

avoidedTwCountriesCsv
array of strings

Alternatively use a comma separated list of country-IDs in case your gateway is not able to handle HTML-arrays

avoidedTwCountriesCsv
string

Prefer these routing areas if possible. This is an array of internal IDs. e.g. takenAreas=1&takenAreas=2&takenAreas=3 For the entire list click here

takenAreasCsv
array of strings

Alternatively use a comma separated list of area-IDs in case your gateway is not able to handle HTML-arrays

takenAreasCsv
string

Avoid these routing areas if possible. This is an array of internal IDs blockedAreas=1&blockedAreas=2&blockedAreas=3. For the entire list click here

blockedAreasCsv
array of strings

Alternatively use a comma separated list of area-IDs in case your gateway is not able to handle HTML-arrays

blockedAreasCsv
boolean
Defaults to false

Set this parameter to true in order enable the new features of intermodal endpoint, such as returning partial routes split at Via-Ports. It defaults to false, which lets the API behave like route endpoint

string

This is a list of ports which must or must not act as Vias in a multi-modal scenario. The ports need to be specified as an array of un/locode-Strings. See parameter portLocodesBlock

portLocodesCsv
array of strings

Alternatively use a komma separated list of locodes in case your gateway is not able to handle HTML-arrays

portLocodesCsv
boolean
Defaults to true

Mode for the portLocodes-parameter (see above). Either block (default) these ports or force the router to use them only. This parameter does not affect source or target ports

double
Defaults to 1

This is a penalty for Ports which act as Vias. It influences an already well balanced internal default. Reasonable values lie in the range of 1.0 to 10.0

double
Defaults to 1

This is a penalty for streets. It influences an already well balanced internal default. Reasonable values lie in the range of 1.0 to 10.0. In order to achieve a good balance between ports and streets set both to e.g. 5.

int32
Defaults to 0

Reduce the size of the response by returning only every n-th point of the track. Larger values (up to 100) return fewer data points. This is especially useful for mobile apps.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json